framework:
    exceptions:
        App\Validator\ValidationFailedException:
            log_level: debug

    secret: '%env(APP_SECRET)%'
    default_locale: en
    csrf_protection: true
    http_method_override: false

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        handler_id: App\Security\SessionHandler
        cookie_secure: auto
        cookie_samesite: lax
        cookie_httponly: true
        storage_factory_id: session.storage.factory.native

    php_errors:
        log: true

    mailer:
        dsn: '%env(MAILER_URL)%'

    validation:
        email_validation_mode: html5

when@dev:
    framework:
        mailer:
            dsn: '%env(MAILER_URL)%'

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
        mailer:
            dsn: 'null://null'
